Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1697204 - [abrt] CuraEngine: std::__replacement_assert(): CuraEngine killed by SIGABRT
Summary: [abrt] CuraEngine: std::__replacement_assert(): CuraEngine killed by SIGABRT
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: CuraEngine
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f159dd0a9144786e187de25c306...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 04:42 UTC by Jonathan Graham
Modified: 2020-02-19 19:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-01 09:09:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: cgroup (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: core_backtrace (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: cpuinfo (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: dso_list (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: environ (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: limits (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: maps (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: mountinfo (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: open_fds (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details
File: proc_pid_status (deleted)
2019-04-08 04:42 UTC, Jonathan Graham
no flags Details

Description Jonathan Graham 2019-04-08 04:42:04 UTC
Description of problem:
This problem occurred while slicing a moderately complex 3d object for printing.  I had just selected 3D Cross type infill when this problem occurred during subsequent slicing using those parameters.

Version-Release number of selected component:
1:CuraEngine-3.6.0-3.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/CuraEngine connect 127.0.0.1:49674
crash_function: std::__replacement_assert
executable:     /usr/bin/CuraEngine
journald_cursor: s=ef5f25b211034a0090a162d47eab7c8c;i=33c2e;b=672f65f5fcba4d279be60dc9f308147c;m=a306184c2;t=585fd57366f1d;x=a1a8e875bbf03309
kernel:         5.0.5-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Jonathan Graham 2019-04-08 04:42:06 UTC
Created attachment 1553335 [details]
File: backtrace

Comment 2 Jonathan Graham 2019-04-08 04:42:07 UTC
Created attachment 1553336 [details]
File: cgroup

Comment 3 Jonathan Graham 2019-04-08 04:42:08 UTC
Created attachment 1553337 [details]
File: core_backtrace

Comment 4 Jonathan Graham 2019-04-08 04:42:09 UTC
Created attachment 1553338 [details]
File: cpuinfo

Comment 5 Jonathan Graham 2019-04-08 04:42:10 UTC
Created attachment 1553339 [details]
File: dso_list

Comment 6 Jonathan Graham 2019-04-08 04:42:11 UTC
Created attachment 1553340 [details]
File: environ

Comment 7 Jonathan Graham 2019-04-08 04:42:12 UTC
Created attachment 1553341 [details]
File: limits

Comment 8 Jonathan Graham 2019-04-08 04:42:13 UTC
Created attachment 1553342 [details]
File: maps

Comment 9 Jonathan Graham 2019-04-08 04:42:14 UTC
Created attachment 1553343 [details]
File: mountinfo

Comment 10 Jonathan Graham 2019-04-08 04:42:14 UTC
Created attachment 1553344 [details]
File: open_fds

Comment 11 Jonathan Graham 2019-04-08 04:42:15 UTC
Created attachment 1553345 [details]
File: proc_pid_status

Comment 12 Miro Hrončok 2019-04-08 11:41:02 UTC
Can you reproduce this again? If so, can you share you files and configs?

Comment 13 Jonathan Graham 2020-02-19 19:07:27 UTC
Never could reproduce this bug, and it has completely disappeared as of the latest version.


Note You need to log in before you can comment on or make changes to this bug.